
// PovEdge Demo Scene  
// Thibaut Jonckheere - April 2007

// This basic scene shows an example of use of PovEdge to get the edges of mesh objects
// The meshes have been created in Wings3d, and converted with Poseray
// Before rendering this scene, you must run PovEdge on the input file "demo_POV_geom.inc"
// (this will create all the necesseray files)

 
#include "colors.inc"  

//Material definitions 
#declare Mcube_= 
material{
texture{pigment {color rgb <1,1,0> transmit  0} 
        finish{phong 0.5 diffuse 0.5 ambient 0.7 brilliance 0.3 } }
}
#declare Mpov_= 
material{
texture{pigment {color rgb <1,0,0> transmit  0} 
        finish{phong 0.5 diffuse 0.5 ambient 0.4 brilliance 0.3 } } 
}
#declare Medge_= 
material{
texture{pigment {color rgb <0.2,0.267,1> transmit  0} 
        finish{phong 0.5 diffuse 0.5 ambient 0.4 brilliance 0.3 }  }
}
//==================================================

#include "demo_POV_geom.inc" //Geometry   (the include of the _mat file has been removed in the _geom file)
 

 
#declare PdV = <0,3,-9>;     //declaration of the real point of vue
#declare LaT = <0,0,0>;

camera {
        up <0,1,0>
        right x*image_width/image_height
        location PdV
        look_at LaT
        }

light_source {
             <2,10,-10> rgb 1
             }
 
//Background
background { color rgb 1 }

   
plane{y,-2 pigment{rgb 1} finish{diffuse 1 ambient LightBlue  brilliance 0} } 

 
//Assembled object that is contained in demo_POV_geom.inc
#declare Yrot= 10; 
#declare Trans = <-4,-1,0>;
object{
      demo_   
      translate Trans   
      rotate <0,Yrot,0>
      }    
      
      
// To draw the edges
#declare PdV1 = PdV;                                    // declaration of the effective point of vue
#declare PdV1 = vrotate(PdV1,<0,-Yrot,0>);              // we apply the inverse rotation
#declare PdV1 = PdV1 - <-4,-2,0>;                        // and then the inverse translate
  
#declare EdScale = 10;                                  // we increase the width of the silhouette edges
#declare EdNScale = 10;                                 // and of the crease edges  
#declare EdThresh = 0.4;                                // we lower the threshold for the crease edges

#include "declarations.inc"                             // we include the file containing the declarations  
object{Edges translate Trans rotate <0,Yrot,0>}        // we draw the object "Edges", and apply to it the same transformation as the original object    

   
  